import { LineTransition } from "./line-transitions";
import { FullTween } from "@code-hike/utils";
import React from "react";
export { Lines };
export declare type LinesAnnotation = {
    startIndex: number;
    endIndex: number;
    Component: (props: {
        style: React.CSSProperties;
        children: React.ReactNode;
    }) => React.ReactElement;
};
declare function Lines({ lines, progress, annotations, ...rest }: {
    lines: LineTransition[];
    prevFocusKeys: number[];
    nextFocusKeys: number[];
    focusWidth: number;
    lineHeight: number;
    progress: number;
    annotations: FullTween<LinesAnnotation[]>;
}): JSX.Element;
