/// <reference types="react" />
import { Line } from "./line-transitions";
import { LinesAnnotation } from "./lines";
import { FullTween } from "@code-hike/utils";
export { SmoothLines, LinesAnnotation };
declare type Props = {
    progress: number;
    containerWidth: number;
    containerHeight: number;
    lineHeight: number;
    lineWidth: number | [number, number];
    prevLines: Line[];
    nextLines: Line[];
    prevFocus: number[];
    nextFocus: number[];
    overscroll?: boolean;
    center?: boolean;
    minZoom?: number;
    maxZoom?: number;
    annotations: FullTween<LinesAnnotation[]>;
};
declare function SmoothLines({ progress, containerHeight, containerWidth, lineHeight, lineWidth, prevLines, nextLines, prevFocus, nextFocus, center, minZoom, maxZoom, annotations, }: Props): JSX.Element;
